From 03b49763960ae16b5d91932fcfbba1defee557b8 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Felix=20Scha=CC=88fer?= <felix@fachschaften.org>
Date: Sat, 8 Jun 2013 21:27:07 +0200
Subject: html_safe tabular_form_builder

--HG--
extra : source : ca8fcb0692516957964281779f5e4f24c4a19395
---
 TODO.md                     |    1 +
 lib/tabular_form_builder.rb |    8 ++++----
 2 files changed, 5 insertions(+), 4 deletions(-)

diff --git a/lib/tabular_form_builder.rb b/lib/tabular_form_builder.rb
index 1e06869..8898464 100644
--- a/lib/tabular_form_builder.rb
+++ b/lib/tabular_form_builder.rb
@@ -37,10 +37,10 @@ class TabularFormBuilder < ActionView::Helpers::FormBuilder
 
   # Returns a label tag for the given field
   def label_for_field(field, options = {})
-      return '' if options.delete(:no_label)
-      text = options[:label].is_a?(Symbol) ? l(options[:label]) : options[:label]
-      text ||= l(("field_" + field.to_s.gsub(/\_id$/, "")).to_sym)
-      text += @template.content_tag("span", " *", :class => "required") if options.delete(:required)
+      return ''.html_safe if options.delete(:no_label)
+      text = options[:label].is_a?(Symbol) ? l(options[:label]).html_safe : options[:label]
+      text ||= l(("field_" + field.to_s.gsub(/\_id$/, "")).to_sym).html_safe
+      text += @template.content_tag(:span, " *".html_safe, :class => "required") if options.delete(:required)
       @template.label(@object_name, field.to_s, text,
                                      :class => (@object && @object.errors[field] ? "error" : nil))
   end
-- 
1.7.1


